Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_InvalidPolicies Class Reference

`#include <PolicyC.h>`

Inheritance diagram for CORBA_InvalidPolicies

[legend]
Collaboration diagram for CORBA_InvalidPolicies:

[legend]
List of all members.

## Public Types
typedef _tao_seq_UShort | _indices_seq
## Public Methods
| CORBA_InvalidPolicies (void)
| CORBA_InvalidPolicies (const CORBA_InvalidPolicies &)
| ~CORBA_InvalidPolicies (void)
CORBA_InvalidPolicies& | operator= (const CORBA_InvalidPolicies &)
virtual void | _raise (void)
virtual void | _tao_encode ( TAO_OutputCDR &, CORBA::Environment & ) const
virtual void | _tao_decode ( TAO_InputCDR &, CORBA::Environment & )
| CORBA_InvalidPolicies ( const _tao_seq_UShort & _tao_indices )
virtual CORBA::TypeCode_ptr | _type (void) const
## Public Attributes
_tao_seq_UShort | indices
## Static Public Methods
void | _tao_any_destructor (void*)
CORBA_InvalidPolicies* | _downcast (CORBA::Exception *)
CORBA::Exception* | _alloc (void)

## Member Typedef Documentation

typedef _tao_seq_UShort CORBA_InvalidPolicies::_indices_seq

## Constructor & Destructor Documentation

CORBA_InvalidPolicies::CORBA_InvalidPolicies ( | void )

CORBA_InvalidPolicies::CORBA_InvalidPolicies ( | const CORBA_InvalidPolicies & )

CORBA_InvalidPolicies::~CORBA_InvalidPolicies ( | void )

CORBA_InvalidPolicies::CORBA_InvalidPolicies ( | const _tao_seq_UShort & _tao_indices )

## Member Function Documentation

CORBA::Exception * CORBA_InvalidPolicies::_alloc ( | void )`[static]`

CORBA_InvalidPolicies * CORBA_InvalidPolicies::_downcast ( | CORBA::Exception * exc )`[static]`

void CORBA_InvalidPolicies::_raise ( | void )`[virtual]`

void CORBA_InvalidPolicies::_tao_any_destructor ( | void * x )`[static]`

void CORBA_InvalidPolicies::_tao_decode ( | TAO_InputCDR & cdr,
| CORBA::Environment & ACE_TRY_ENV )`[virtual]`

void CORBA_InvalidPolicies::_tao_encode ( | TAO_OutputCDR & cdr,
| CORBA::Environment & ACE_TRY_ENV ) const`[virtual]`

CORBA::TypeCode_ptr CORBA_InvalidPolicies::_type ( | void ) const`[virtual]`

CORBA_InvalidPolicies& CORBA_InvalidPolicies::operator= ( | const CORBA_InvalidPolicies & )

## Member Data Documentation

_tao_seq_UShort CORBA_InvalidPolicies::indices

The documentation for this class was generated from the following files:

- PolicyC.h
- PolicyC.cpp